Bug 980058 - [abrt] wallpapoz-0.6.2-5.fc19: wallpapoz_system.py:71:exec_cmd_under_X:IOError: [Errno 5] Eingabe-/Ausgabefehler [NEEDINFO]
[abrt] wallpapoz-0.6.2-5.fc19: wallpapoz_system.py:71:exec_cmd_under_X:IOErro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wallpapoz (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:e5ece25f3c8da8af7aaf55bb5a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 06:33 EDT by Kay Schüffler
Modified: 2015-02-17 10:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:46:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: needinfo? (kschueff.t)


Attachments (Terms of Use)
File: backtrace (838 bytes, text/plain)
2013-07-01 06:33 EDT, Kay Schüffler
no flags Details
File: core_backtrace (224 bytes, text/plain)
2013-07-01 06:33 EDT, Kay Schüffler
no flags Details
File: environ (3.03 KB, text/plain)
2013-07-01 06:33 EDT, Kay Schüffler
no flags Details

  None (edit)
Description Kay Schüffler 2013-07-01 06:33:02 EDT
Version-Release number of selected component:
wallpapoz-0.6.2-5.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/libexec/daemon_wallpapoz
executable:     /usr/libexec/daemon_wallpapoz
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
wallpapoz_system.py:71:exec_cmd_under_X:IOError: [Errno 5] Eingabe-/Ausgabefehler

Traceback (most recent call last):
  File "/usr/libexec/daemon_wallpapoz", line 157, in <module>
    cur_desk = wallpapoz_system.current_desktop()
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 151, in current_desktop
    raw_workspace = self.exec_cmd_under_X('xprop -root _NET_CURRENT_DESKTOP')
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 71, in exec_cmd_under_X
    print "daemon_wallpapoz: error message: %s" %pstderr
IOError: [Errno 5] Eingabe-/Ausgabefehler

Local variables in innermost frame:
kill_daemon: False
pstderr: "xprop:  unable to open display ':0'\n"
self: <wallpapoz_system.WallpapozSystem instance at 0xd346c8>
cmd: 'xprop -root _NET_CURRENT_DESKTOP'
ret: 1
p: <subprocess.Popen object at 0xd45950>
pstdout: ''
Comment 1 Kay Schüffler 2013-07-01 06:33:09 EDT
Created attachment 767319 [details]
File: backtrace
Comment 2 Kay Schüffler 2013-07-01 06:33:12 EDT
Created attachment 767320 [details]
File: core_backtrace
Comment 3 Kay Schüffler 2013-07-01 06:33:17 EDT
Created attachment 767321 [details]
File: environ
Comment 4 Mamoru TASAKA 2013-07-01 20:37:17 EDT
* Would you write in detail how you can reproduce this issue?
* What desktop environment are you using?
* Would you attach ~/.wallpapoz/wallpapoz.xml ?
Comment 5 Fedora End Of Life 2015-01-09 13:36:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:46:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.